package com.javahonk.util;

import java.util.HashMap;

public class SQLFactory {

private static HashMap<String, String> sqlQueryMap;
	
	public SQLFactory(HashMap<String, String> sqlQueryMap) {

		SQLFactory.sqlQueryMap = sqlQueryMap;
	}

	public static String getQueryById(String queryId) {
		String query = null;
		query = (String) sqlQueryMap.get(queryId);
		return query;
	}
	
	public static HashMap<String, String> getAllQueryFromFile() {
		return sqlQueryMap;
	}
}
